Bug 150219 - LTC14314- PrivilegedExceptionAction failure on x86-64
LTC14314- PrivilegedExceptionAction failure on x86-64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: mark wisner
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-03-03 15:25 EST by Thomas Fitzsimmons
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2005-302
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:45:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
demonstrates java.security.AccessControlContext x86-64 bug (793 bytes, text/x-java)
2005-03-03 15:28 EST, Thomas Fitzsimmons
no flags Details
a test script showing that SR2 fixes this bug (641 bytes, text/plain)
2005-07-29 16:17 EDT, Vadim Nasardinov
no flags Details

  None (edit)
Description Thomas Fitzsimmons 2005-03-03 15:25:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
A bug in IBM's implementation of java.security.AccessControlContext was exposed when trying to get Tomcat running on IBM's x86-64 JVM.


Version-Release number of selected component (if applicable):
java-1.4.2-ibm-1.4.2.1-1jpp_2rh

How reproducible:
Always

Steps to Reproduce:
1. compile AMD64Test.java
2. run "java AMD64Test"


Actual Results:  $ java AMD64Test
os.arch=amd64
os.name=Linux
java.vm.info=J2RE 1.4.2 IBM J9 2.2 Linux amd64-64 j9xa64142-20041210 (JIT enabled)
J9VM - 20041208_2100_LHdSMr
JIT  - r7_level20041130_1809
Exception in thread "main" java.lang.NullPointerException
        at java.security.AccessControlContext.<init>(AccessControlContext.java:68)
        at javax.security.auth.Subject$5.run(Subject.java:728)
        at java.security.AccessController.doPrivileged(AccessController.java:158)
        at javax.security.auth.Subject.createContext(Subject.java:718)
        at javax.security.auth.Subject.doAsPrivileged(Subject.java:709)
        at AMD64Test.main(AMD64Test.java:18)


Expected Results:  $ java AMD64Test
os.arch=amd64
os.name=Linux
java.vm.info=J2RE 1.4.2 IBM J9 2.2 Linux amd64-64 j9xa64142-20041210 (JIT enabled)
J9VM - 20041208_2100_LHdSMr
JIT  - r7_level20041130_1809

(exit status 0)


Additional info:
Comment 1 Thomas Fitzsimmons 2005-03-03 15:28:40 EST
Created attachment 111635 [details]
demonstrates java.security.AccessControlContext x86-64 bug
Comment 2 IBM Bug Proxy 2005-03-04 15:51:40 EST
---- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-03-04 15:48 EST -------
Reported bug to Java group. Eureka system PMR # is 80680,001,866 
Comment 3 IBM Bug Proxy 2005-03-11 10:43:34 EST
---- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-03-11 10:40 EST -------
Updates from Java group.

[-] 07/03/05 20:00 -- CHAN, SUNNY -- AT: Add text

I have tried the latest development j9 code and the problem still exists

Quickly looking at the Java Class Library code it seems to me that an
inner class of javax.security.auth.Subject called
AccessControlContext(AccessControlContext,
DomainCombiner) constructor with DomainCombiner to be null. While
javadoc specified that an NPE is thrown with AccessControlContext it
does not specify what happened if DomainCombiner is null. I will check
with security team here tomorrow.

[-] 07/03/05 20:06 -- CHAN, SUNNY -- AT: Add text

CMVC Defect 83924 has been created, and routed to class lib team to
answer the security interface question. 
Comment 4 Vadim Nasardinov 2005-03-11 11:37:26 EST
For the sake of completeness, I should mention that someone else
reported this same problem in late January:

http://www-106.ibm.com/developerworks/forums/dw_thread.jsp?forum=178&thread=70950&cat=10
Comment 5 IBM Bug Proxy 2005-03-21 09:46:47 EST
---- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-03-21 09:42 EST -------
The Java PMR had an update last week that said:

"This has been fixed in the latest 1.4.2 code, and will be available in 1.4.2 SR2."

I'll ask whether we can get a private build for redhat to verify with before then. 
Comment 6 IBM Bug Proxy 2005-03-22 17:10:48 EST
---- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-03-22 17:08 EST -------
The build in the file pj9xa64142-20050322.tar.gz is 51315724 bytes in size and
is the latest 1.4.2 maintence according to Java team. They would like this only
used for verification. The actual fix will be delivered in the followup service
release following 1.4.2 Sr1a.

Where can I uploaded the jdk for redhat? 
Comment 7 IBM Bug Proxy 2005-03-31 14:55:35 EST
---- Additional Comments From markwiz@us.ibm.com  2005-03-31 13:29 EST -------
From Mike Gahagan:
ftp://enterprise.redhat.com/incoming and update the bug with the exact
name of the file. It will stay there for up to 2 weeks, if we need it
longer than that, we can move it somewhwere else. 
Comment 8 IBM Bug Proxy 2005-03-31 19:48:08 EST
---- Additional Comments From sunnychan@uk.ibm.com  2005-03-31 19:43 EST -------
I have just upload the build to ftp://enterprise.redhat.com/incoming

File name = pj9xa64142-20050322.tar.gz 
Comment 9 Thomas Fitzsimmons 2005-04-06 11:15:28 EDT
I've downloaded the tarball.  I'll post an update once we've tested it.
Comment 10 Thomas Fitzsimmons 2005-04-06 15:28:11 EDT
We tested this and confirmed that it's fixed.
Comment 11 IBM Bug Proxy 2005-04-07 10:49:52 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|FIXEDAWAITINGTEST           |TESTED




------- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-04-07 10:46 EST -------
I've asked the Java team for which service release this fix will officially be
delivered in. 
Comment 12 IBM Bug Proxy 2005-04-07 16:09:38 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|TESTED                      |SUBMITTED




------- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-04-07 16:07 EDT -------
According to Sunny in Java team, this fix will officially be delivered in the
next JDK 1.4.2 service refresh SR2. 
Comment 13 IBM Bug Proxy 2005-04-08 11:25:40 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
   Target Milestone|---                         |RHEL4_QU2




------- Additional Comments From khoa@us.ibm.com  2005-04-08 11:21 EDT -------
I'd like to set the target to RHEL4 U2 because that's where JDK 1.4.2 SR2
will be included.  SR2 is currently not available for inclusion in RHEL4 U1.
RHEL U1 will include SR1a which has already GA'ed.  Thanks. 
Comment 14 IBM Bug Proxy 2005-07-29 11:00:01 EDT
---- Additional Comments From markwiz@us.ibm.com  2005-07-29 10:52 EDT -------
17 files uploaded to ftp.enterprise.redhat.com/incoming with the following md5sums

This is the IBM Java release SDK 1.4.2 SR2.

61928e68ec311b21413bcd06192e09ff *IBMJava2-JAVACOMM-142.ppc64.tgz
f2c6b0d4a1982d324d173a1a4d01b423 *IBMJava2-JAVACOMM-142.tgz
6b314b4bc20303b7cbf8a35ce603adaf *IBMJava2-JAVACOMM-AMD64-142.x86_64.tgz
019b1f399a0c8009460633ea27ca68d6 *IBMJava2-JRE-142.ia64.tgz
945d2203ee5a6ec9c7770cb26c7bd37a *IBMJava2-JRE-142.ppc.tgz
fb491ed13144238c0aebb123eead1388 *IBMJava2-JRE-142.ppc64.tgz
8ea56e630a476abda6fb8b28de074d3e *IBMJava2-JRE-142.s390.tgz
ba6f9639f385af3a0cfd9bd81c1a6ab8 *IBMJava2-JRE-142.s390x.tgz
39929f487a2b9a726ba35fb0e47fcfa5 *IBMJava2-JRE-142.tgz
5310f13bb9b40432667d60ab7a3aa75f *IBMJava2-JRE-AMD64-142.x86_64.tgz
81e5699df94e84210808f41b14bb117f *IBMJava2-SDK-142.ia64.tgz
352b5d4faf6c0adc1131467395a4556c *IBMJava2-SDK-142.ppc.tgz
6f7b1990a9af72b8e1d6753fe5b7294e *IBMJava2-SDK-142.ppc64.tgz
72aa9c762d139ee49f2b20df0d67f5ea *IBMJava2-SDK-142.s390.tgz
cb2a9f0ac5f9d9ee9e84e294b4a2f1af *IBMJava2-SDK-142.s390x.tgz
126cdd520a0cba74918ec3b1d2e969f2 *IBMJava2-SDK-142.tgz
f870f8f0902e6bc17bc4b3edd65a5259 *IBMJava2-SDK-AMD64-142.x86_64.tgz 
Comment 15 Vadim Nasardinov 2005-07-29 16:17:45 EDT
Created attachment 117296 [details]
a test script showing that SR2 fixes this bug

This release fixes this bug.

f870f8f0902e6bc17bc4b3edd65a5259  IBMJava2-SDK-AMD64-142.x86_64.tgz
Comment 18 Red Hat Bugzilla 2005-10-05 09:45:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-302.html

Note You need to log in before you can comment on or make changes to this bug.